<?php

	/*
	 * Addon tvsfeuser
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: config.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$mypage = 'tvsfeuser'; // only for this file

	$REX['ADDON']['page'][$mypage] = $mypage;
	$REX['ADDON']['rxid'][$mypage] = '784';
	$REX['ADDON']['name'][$mypage] = 'TvsFEUser';
	$REX['ADDON']['perm'][$mypage] = 'tvsfeuser[]';
	$REX['ADDON']['author'][$mypage] = "Michael Wandel";

	$REX['PERM'][] = 'tvsfeuser[]';

	$Basedir = dirname(__FILE__);
	$tvsfeuserIniFile = $REX['INCLUDE_PATH'] . "/addons/" . $mypage . "/" . $mypage . ".ini";

	if ($REX['GG'])
	{

		rex_register_extension('OUTPUT_FILTER', 'tvsaccesscontrol');

		function tvsaccesscontrol($params)
		{
			global $REX, $REX_ARTICLE;
			global $tvsfeuserIniFile;
			
			session_start();
			
			$content = $params['subject'];
			$rights_array = "";

			if (file_exists($tvsfeuserIniFile)) {
				$stringData = file_get_contents($tvsfeuserIniFile);
				$settings = parse_ini_file($tvsfeuserIniFile);
				
				$rights				= $settings['accessRestrictions'];
				$redir_link			= $settings['Redir_Link'];
				$redir_link_name	= $settings['Redir_Link_Name'];
				$rights_array		= explode(",", $rights);
			}

			if ($rights != "") {
				$artid = isset($_GET['article_id']) ? $_GET['article_id']+0 : 0;
				if ($artid==0) {
					$artid = $REX['ARTICLE']->getValue('article_id')+0;
				}
				if ($artid==0) { $artid = $REX['START_ARTICLE_ID']; }

				// if (!$artid) { return $content; }
				
				if ($redir_link != "")
					if (in_array($artid, $rights_array)) {
					    if($_SESSION['tvsfeuser']['feuser']['access'] != "yes")
							rex_redirect($redir_link, $REX['CUR_CLANG'], array('target_id'=>$artid));
						else {
							$user_rights_array = explode(",", $_SESSION['tvsfeuser']['feuser']['rights']);
							if (!in_array($artid, $user_rights_array))
								rex_redirect($redir_link, $REX['CUR_CLANG'], array('target_id'=>$artid));
						}
					}
			}
			return $content;
		}
	}

?>