<?php

	/*
	 * Addon tvsfeuser
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$rexversion		= $REX['VERSION'] . $REX['SUBVERSION'];
	$user_table		= $table_pre . "_user";
	$thispage		= "tvsfeuser";
	$thissubpage	= "user";
	$myIniFile		= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";
	$baseURL		= 'index.php?page='.$thispage.'&amp;subpage='.$thissubpage;

	$name			= rex_post('name', 'string', '');
	$login			= rex_post('login', 'string', '');
	$psw			= rex_post('psw', 'string', '');
	$description	= rex_post('description', 'string', '');
	$rights			= rex_post('rights', 'array', '');
	$mode			= rex_post('mode', 'string', '');

	if ($func == "delete")
	{
		$sql = new rex_sql();
		$sql->setQuery("DELETE FROM " . $user_table . " WHERE id = " . rex_get('id', 'int', 0));		
	}
	else if ($func == "status")
	{
		$sql = new rex_sql();
		$sql->setQuery("UPDATE " . $user_table . " SET status = NOT status WHERE id = " . rex_get('id', 'int', 0));		
	}
	else if ($func == "write" && !isset($cancel))
	{
		
		$new_rights = implode(',' , $rights);
		
		$sql = new rex_sql();
		if ($mode == "add")
			$sql->setQuery("INSERT INTO " . $user_table . " (name, login, psw, description, rights, status, create_date) VALUES ('" . $name . "', '" . $login . "', '" . $psw . "', '" . $description . "', '" . $new_rights . "', 1, " . time() . ")");
		else
			$sql->setQuery("UPDATE " . $user_table . " SET name = '" . $name . "', login = '" . $login . "', psw = '" . $psw . "', description = '" . $description . "', rights = '" . $new_rights . "' WHERE id = " .  rex_post('id', 'int', 0));
	}

	if (file_exists($myIniFile)) {
		$stringData = file_get_contents($myIniFile);
		$settings = parse_ini_file($myIniFile);
		
		$accessRestrictions = $settings['accessRestrictions'];
	}
	
	if (!function_exists('getRestrictedArticles')) {
		function getRestrictedArticles($userRights) {
			global $accessRestrictions;
			$access_array	= explode(",", $accessRestrictions);
			$rights_array= explode(",", $userRights);
echo $accessRestrictions;
			foreach ($access_array as $artId) {
				if (in_array($artId, $rights_array))
					$selected = "selected = \"selected\"";
				else
					$selected = "";
					
				echo $artId;
				$art = OOArticle::getArticleById($artId);
				echo "<option value=\"" . $art->getId() . "\" " . $selected . ">" .  $filler . $art->getName() . "</option>";
			}
		}
	}

	
	if (!function_exists('articleMapStart')):
		function articleMapStart($lastlev=0, $ebene=0)
		{
			if (!isset($lastlev) || $lastlev == 0):
				foreach (OOCategory::getRootCategories() as $aktlev) {
					articleMapPrint($aktlev,$ebene);
				}
			elseif (is_object($lastlev)):
				foreach ($lastlev->getChildren() as $aktlev):
					articleMapPrint($aktlev,$ebene);
				endforeach;
			else:
				$aktlev = OOCategory::getCategoryById($lastlev);
				articleMapPrint($aktlev,$ebene);
			endif;
			$ebene -= 1;
		}
	endif;

	if (!function_exists('articleMapPrint')) {
		function articleMapPrint($aktlev, $ebene)
		{
			global $rights;
			if ($aktlev->isOnline()) {
				$aktlevSize = sizeof($aktlev->getChildren());
			
				$rights_array= explode(",", $rights);
				$articles = $aktlev->getArticles();
				if(is_array($articles) && count($articles) > 0) {
					foreach ($articles as $art) {
						if (in_array($art->getId(), $rights_array))
							$selected = "selected = \"selected\"";
						else
							$selected = "";
						if ($art->isStartArticle())
							$filler = str_repeat('&nbsp;&nbsp;&nbsp;',$ebene);
						else
							$filler = str_repeat('&nbsp;&nbsp;&nbsp;',$ebene+1);
						if ($art->isOnline())
							echo "<option value=\"" . $art->getId() . "\" " . $selected . ">" .  $filler . $art->getName() . "</option>";
					}
				}
				if ($aktlevSize != "0") {
					$ebene += 1;
					articleMapStart($aktlev, $ebene);
				}
			}
		}
	}

?>

<div class="rex-addon-output-v2">
	<form action="<?php echo $baseURL; ?>" method="post">
	<table class="rex-table" id="rex-articles">
		<caption>Liste der Einträge</caption>
		<colgroup>
			<col width="30" />
			<col width="30" />
			<col width="150" />
			<col width="150" />
			<col width="*" />
			<col width="60" />
			<col width="60" />
		</colgroup>
		<thead>
			<tr>
				<th class="rex-icon"><a class="rex-i-element rex-i-article-add _rex488_icon_article-new" href="<?php echo $baseURL; ?>&amp;func=add"><span class="rex-i-element-text">hinzufügen</span></a></th>
				<th>ID</th>
				<th>Name</th>
				<th>Login</th>
				<th>Beschreibung</th>
				<th>Funktion</th>
				<th>Status</th>
			</tr>
		</thead>
		<tbody>
<?php

	$sql = new rex_sql();
	$sql->setQuery("SELECT * FROM " . $user_table . " ORDER BY name");

	if ($sql->getRows() > 0 )
	{
		for ($i = 1; $i <= $sql->getRows(); $i++) {
?>
			<tr>
				<td class="rex-icon"><a class="rex-i-element rex-i-article" href="<?php echo $baseURL; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><span class="rex-i-element-text">Editieren</span></a></td>
				<td><?php echo $sql->getValue('id'); ?></td>
				<td><a href="<?php echo $baseURL; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $sql->getValue('name'); ?></a></td>
				<td><?php echo $sql->getValue('login'); ?></td>
				<td><?php echo substr($sql->getValue('description'), 0, 50); ?>...</td>
				<td><a href="<?php echo $baseURL; ?>&amp;func=delete&amp;id=<?php echo $sql->getValue('id'); ?>" onclick="return confirm('Sicher löschen?');">löschen</a></td>
				<?php
					$status_description = ($sql->getValue('status') == 1) ? 'online' : 'offline';
					$status_classname = ($sql->getValue('status') == 1) ? 'rex-online' : 'rex-offline';
				?>
				<td><a class="<?php echo $status_classname; ?>" href="<?php echo $baseURL; ?>&amp;func=status&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $status_description; ?></a></td>
			</tr>
<?php
			$sql->next();
		}
	}
	else
	{
		echo "<tr><td colspan=\"7\" align=\"center\">";
		echo "	<p>Es sind noch keine Benutzer vorhanden.</p>";
		echo "</td></tr>";
	}
?>
		</tbody>
	</table>
	</form>
</div>

<?php

	echo "<br />";

	// Neuen Benutzer anlegen
	if ($func == "add" || $func == "edit")
	{
		$name			= "";
		$login			= "";
		$psw			= "";
		$description	= "";
		$rights			= "";
		$status			= "0";

		$id = rex_get('id', 'int', 0);

		if ($func == "edit" && $id > 0)
		{
			$sql = new rex_sql();
			$sql->setQuery("SELECT * FROM " . $user_table . " WHERE id = " . $id);
			if ($sql->getRows() > 0 )
			{
				$name			= $sql->getValue('name');
				$login			= $sql->getValue('login');
				$psw			= $sql->getValue('psw');
				$description	= $sql->getValue('description');
				$rights			= $sql->getValue('rights');
			}
			echo "<h2>Benutzer bearbeiten:</h2>";
		}
		else
			echo "<h2>Neuen Benutzer anlegen:</h2>";
?>

	<br />

	<div class="rex-addon-output-v2">

		<div id="rex-addon-editmode" class="rex-form">
		<form action="<?php echo $baseURL; ?>" method="post">
			<fieldset class="rex-form-col-1">

				<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
				<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
				<input type="hidden" name="func" value="write" />
				<input type="hidden" name="mode" value="<?php echo htmlspecialchars($func); ?>" />
				<input type="hidden" name="id" value="<?php echo $id; ?>" />

				<div class="rex-form-wrapper">

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="name">Name</label>
						<input id="name" name="name" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($name); ?>" />
					</p>
				</div>
				
				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="login">Login</label>
						<input id="login" name="login" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($login); ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="psw">Passwort</label>
						<input id="psw" name="psw" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($psw); ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-text">
						<label for="description">Beschreibung</label>
						<input id="description" name="description" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($description); ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-select">
						<label for="rights">Rechte</label>
						<select name="rights[]" size="10" multiple="multiple" class="rex-form-select">
						<?php getRestrictedArticles($rights); ?>
						</select>
					</p>
				</div>


				<div class="rex-form-row">
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
						<input type="submit" name="submit" class="rex-form-submit submit" value="Speichern" />&nbsp;
						<input type="submit" name="cancel" class="rex-form-submit cancel" value="Abbrechen" />
					</p>
				</div>

			</div>
			</fieldset>
		</form>
		</div>
		
	</div>

<?php
	}
?>
